Edit Zone

Edit a zone

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

PHP

Replace:
[ZONE_NAME] with your zones name
[ZONE_DESC] with your description
[ZONE_TYPE] with your traffic type - List traffic types
[ZONE_RESTRICTIONS] with your restrictions - List ad zone restrictions
[YOUR_API_TOKEN] with your token

<?php
	$params = array(
  	'name'=>[ZONE_NAME],
    'description'=>[ZONE_DESC],
    'traffic_type'=>[ZONE_TYPE]
    'restrictions'=>[ZONE_RESTRICTIONS]
  );
	$curl = curl_init('https://<<domain>>/v1/publisher/zone/1/edit/?token=[YOUR_API_TOKEN]');
  curl_setopt($this->curl, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($this->curl, CURLOPT_CUSTOMREQUEST, 'PUT');
  curl_setopt($this->curl, CURLOPT_POSTFIELDS, http_build_query($params));
	$response = curl_exec($curl);
	curl_close($curl);
	var_dump($response);
?>
Form Data
string

The name of the zone

string

The description of the zone

int32

The ID of the traffic type

string

The restriction IDs, comma delimited e.g. 1,2,3

Language
LoadingLoading…